Skip to main content
GET
cURL

Query Parameters

gateway_name
string
required

Gateway names separated by spaces or use "*" to indicate all gateways.

gw_intf
string

Gateway devices separated by spaces or use "*" to indicate all gateways.

dashboard
boolean

Statistics retrieval for dashboard.

interface_names
boolean

Get interface names of gateways.

ds_name
enum<string>

Data source name.

Available options:
bandwidth,
bw_in_limit,
bw_out_limit,
cloudn_tunnel_count,
conntrack_available,
conntrack_count,
conntrack_limit,
conntrack_usg_rate,
cpu_idle,
cpu_ks,
cpu_steal,
cpu_us,
cpu_wait,
cumulative_received,
cumulative_sent,
cumulative_total,
data_avg_recvd,
data_avg_sent,
data_avg_total,
hdisk_free,
hdisk_tot,
inbound_error_cnt,
inter_cloud,
intra_cloud_tunnels,
io_blk_in,
io_blk_out,
ipaddr,
linklocal_limit,
memory_available,
memory_buf,
memory_cached,
memory_free,
memory_swpd,
memory_tot,
memory_total,
nproc_non_int_sleep,
nproc_running,
outbound_error_cnt,
pak_rate_total,
pak_rx_rate,
pak_total,
pak_tx_rate,
peer_tunnel_count,
pps_limit,
rate_avg_recvd,
rate_avg_sent,
rate_avg_total,
rate_peak_received,
rate_peak_sent,
rate_peak_total,
rate_received,
rate_sent,
rate_total,
rx_bytes,
rx_compressed,
rx_drop,
rx_errs,
rx_fifo,
rx_frame,
rx_multicast,
rx_packets,
s2c_count,
security_service,
swap_from_disk,
swap_to_disk,
system_cs,
system_int,
tunnel_count,
tx_bytes,
tx_carrier,
tx_colls,
tx_compressed,
tx_drop,
tx_errs,
tx_fifo,
tx_packets,
vpn_user_count
start_time
string

Start time, seconds since the epoch.

end_time
string

End time, seconds since the epoch.

daily_accum
boolean

Accumulate data per day.

month_accum
boolean

Accumulate data per month.

action
string

The API action to perform. Required for 7.2 controllers only.

CID
string

The opaque session ID token. Required for 7.2 controllers only.

Response

General v2 API response schema.

A generic API response container for v2 style APIs.

errortype
string

Error type if the API failed.

reason
string

Failure reason if the API failed.

results

API response data

return
boolean

Whether the API returned successfully